import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"optest.pmh",
				"AttachOp",
				"BrushTestOp",
				"DrawTestOp",
				"IdleSpinOp",
				"JunkOp",
				"SurfaceWaveOp",
				"optestDL" ]

	dll = module.DLL( "fexOpTestDL", srcList )

	deplibs = forge.corelibs+ [
				"fexMathLib",
				"fexOperateDLLib",
				"fexSurfaceDLLib",
				"fexWindowLib"	]

	forge.deps( ["fexOpTestDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",	"fexOpTestDL",					None,	None) ]
