import sys
forge = sys.modules["forge"]

def setup(module):

	deplibs =	forge.corelibs + [
				"fexThreadDLLib",
				"fexSurfaceDLLib" ]

	tests = [	'xJson',
				'xStringFilterJson' ]

	for t in tests:
		exe = module.Exe(t)
		forge.deps([t + "Exe"], deplibs)

	forge.tests += [
		("xJson.exe",				"cross.geo",			None,		None),
		("xStringFilterJson.exe",	"test/filter.json",		None,		None) ]
